# Update note status

## Update note

<mark style="color:green;">`POST`</mark> `{baseUrl}/drops/notes/:id`

Update note status by providing the noteId

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String |             |

{% tabs %}
{% tab title="200: OK Note added successfully" %}

{% endtab %}

{% tab title="400: Bad Request Invalid dropId" %}

{% endtab %}
{% endtabs %}

### Sample Success Data

```
// Sample Request Information
Url: https://sandbox.sendstack.africa/api/v1/drops/notes/noteId
NB: Replace noteId with actual noteId
Method: PUT
Headers: 
 - app_id: "your app_id"
 - app_secret: "your app_secret"
```

```json
{
    "status": true,
    "message": "Note updated successfuly",
    "data": null
}
```

### Sample Error Data

```
// Sample Request Information
Url: https://sandbox.sendstack.africa/api/v1/drops/notes/invalidNoteId
Method: PUT
Headers: 
 - app_id: "your app_id"
 - app_secret: "your app_secret"
```

```json
//Sample Response Body - 400 Bad Request
{
    "status": false,
    "message": "Invalid note Id"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendstackhq.com/delivery-api/messaging/update-note-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
